module Totter
  class Client
    # Client methods for working with async results in the application.
    module Async
      # Returns an async result dataset
      #
      # @param id [String] The async id
      # @return [Hashie::Mash]
      # @example
      #   Totter.activity(1)
      def async_result(id)
        get("async/#{id}").body
      end
    end
  end
end
